marge <img src="man/figures/Marge_Simpson.png" align="right" height=205 width=132 />
====================================================================================

Overview
--------

The aim of `marge` is to provide an R API to `HOMER` for the analysis of
genomic data, utilizing a tidy framework to accelerate organization and
visualization of analyses.

Installing `HOMER`
------------------

First, running `marge` requires having a working installation of `HOMER`
on your computer. Please see the [HOMER
website](http://homer.ucsd.edu/homer/) for more information on
installing and configuring `HOMER` and to learn more about the
methodology. In particular, note that you should install your desired
genomes in addition to installing `HOMER` using the
`./configureHomer.pl` script.

Installing `marge`
------------------

To install the latest development version of `MARGE`, navigate to the
`marge` bitbucket [downloads
page](https://bitbucket.org/robert_amezquita/marge/downloads/) to
download and build, or simply do:

    devtools::install_bitbucket('robert_amezquita/marge', ref = 'master')

To install a stable version, simply navigate to the [downloads
page](https://bitbucket.org/robert_amezquita/marge/downloads/), navigate
to the tab called "Tags", and change the `ref` argument from `master` to
your desired release (for example, `v0.0.1_arnie`).

Usage
-----

`marge` is currently in active development, but the core of the API
currently has three key functions:

-   Run a motif analysis: `find_motifs_genome` - runs the `HOMER` script
    `findMotifsGenome.pl` via R, and outputs a results directory in the
    default `HOMER` style
-   Read in results: `read_*_results` - read in either `denovo` or
    `known` enriched motifs with the `read_denovo_results` or
    `read_known_results` functions, pointing to the `HOMER` directory
    that was created in the previous step. The `read_*` functions
    produce tibbles summarizing the motif enrichment results into a tidy
    format for easier visualization and analysis. See the reference
    pages of each for more details.

Compared to HOMER alone
-----------------------

Like the actual Homer Simpson, `HOMER` is made better with the addition
of `marge`. With the continually increasing throughput in conducting
sequencing analysis, `marge` provides a native R framework to work from
end to end with motif analyses - from processing to storing to
visualizing these results, all using modern tidy conventions.
