% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/read_files.R
\name{read_denovo_results}
\alias{read_denovo_results}
\title{Read homerResults file - denovo motif enrichments}
\usage{
read_denovo_results(path, homer_dir = TRUE)
}
\arguments{
\item{path}{path to the HOMER directory where all outputs are
stored}

\item{homer_dir}{does the path point to a HOMER directory;
if `FALSE`, path must point to the file directly
[default: TRUE]}
}
\value{
a tibble with the following columns:
\itemize{
  \item \code{consensus} the consensus sequence of the denovo motif
  \item \code{motif_name} name of the motif
  \item \code{log_odds_detection_threshold} used to determine bound vs. unbound sites
  \item \code{log_pvalue_enrichment}
  \item \code{tgt_num} number of times motif appears in target sequences
  \item \code{tgt_pct} percent of times motif appears in target sequences
  \item \code{bgd_num} number of times motif appears in background sequences
  \item \code{bgd_pct} percent of times motif appears in background sequences
  \item \code{p_value} final enrichment p-value
  \item \code{tgt_pos} average position of motif in target sequences, where 0 = start of sequences
  \item \code{tgt_std} standard deviation of position in target sequences
  \item \code{bgd_pos} average position of motif in background sequences, where 0 = start of sequences
  \item \code{bgd_std} standard deviation of position in background sequences
  \item \code{strand_bias} log ratio of + strand occurences to - strand occurences
  \item \code{multiplicity} average number of occurences per sequence in sequences with 1 or more binding sites
}
}
\description{
Reads in the HOMER output describing enriched denovo motifs
into a tidy tibble.
}
